Subject: Re: [patch] add net_device_stats support to ethtool

From: Jeff Garzik <[email-masked]>
Date: Fri, 18 Jan 2008 15:14:44 -0500

Dan Nicolaescu wrote:
> Hi,
> 
> I have posted this patch in the past with absolutely no reply.
> I would appreciate some sort of feedback of the form 
> interested/not interested.  Should I just drop it?
> 
> "ethtool -S" only supports devices that have custom code written to
> print the stats. 

No -- more specifically, ethtool is for NIC-specific statistics that do 
not appear elsewhere.

net_device_stats already appear elsewhere, so it's redundant to add it 
to ethtool.  Just duplicates the same functionality elsewhere.

	Jeff